package routes

import (
	"github.com/gorilla/mux"
    "yaagobackend/controllers" // Import local package (assuming router.go is in a subdirectory named 'routes')
)

// InitializeRouter sets up the router with all the routes and returns the router
func InitializeRouter() *mux.Router {
    r := mux.NewRouter()

    // Define routes and their handlers
    r.HandleFunc("/users", controllers.GetUsers).Methods("GET")
    r.HandleFunc("/users/{id}", controllers.GetUser).Methods("GET")
    r.HandleFunc("/users", controllers.CreateUser).Methods("POST")

    return r
}